Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface FailureMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, TPMBaseMBean, weblogic.management.WebLogicMBean

public interface FailureMBean
extends TPMBaseMBean

This class represents configuration for RosettaNet PIP Failures(PIP0A1). PIP Failure can be handled in 2 ways

- FAILURE_REPORT_ADMIN - Report failure to trading partner
- FAILURE_NOTIFIER - Notify trading partner

The failure messages are sent to the appropriate trading partner using the defined binding.

Field Summary
`static String` | `FAILURE_NOTIFIER`
`static String` | `FAILURE_REPORT_ADMIN`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getBindingName()` Retrieves the binding, for the trading partner, which will be used to send failure messages
`String` | `getFailureType()` Retrieves the type of this Failure.
`String` | `getTradingPartner()` Retrieves the trading partner name to which the pip failure messages would be sent
`BindingMBean` | `retrieveBinding()` Retrieves the BindingMBean associated of the trading partner used for sending messages.
`TradingPartnerMBean` | `retrieveTradingPartner()` Retrieves the TradingPartnerMBean associated for this Failure.
`void` | `setBindingName(String newValue)` Registers the binding for the trading partner name, used for sending messges receive pip failure notifications or failures
`void` | `setFailureType(String newValue)` Specifies the type of this Failure.
`void` | `setTradingPartner(String newValue)` Registers the trading partner name, who will receive pip failure notifications or failures
`void` | `updateAll(String tpName, String bindingName)` Updates Failure Notifier

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### FAILURE_REPORT_ADMIN

    public static final String FAILURE_REPORT_ADMIN

See Also:
  Constant Field Values

### FAILURE_NOTIFIER

    public static final String FAILURE_NOTIFIER

See Also:
  Constant Field Values

Method Detail

### getTradingPartner

    public String getTradingPartner()

  Retrieves the trading partner name to which the pip failure messages would be sent

  Returns:
    - trading partner name or null if not set

### setTradingPartner

    public void setTradingPartner(String newValue)
                           throws javax.management.InvalidAttributeValueException

  Registers the trading partner name, who will receive pip failure notifications or failures

  Parameters:
    `newValue` - - trading partner name, cannot be null
  Throws:
    `javax.management.InvalidAttributeValueException`

### getBindingName

    public String getBindingName()

  Retrieves the binding, for the trading partner, which will be used to send failure messages

  Returns:
    - binding name or null if not set

### setBindingName

    public void setBindingName(String newValue)
                        throws javax.management.InvalidAttributeValueException

  Registers the binding for the trading partner name, used for sending messges receive pip failure notifications or failures

  Parameters:
    `newValue` - - binding name, cannot be null
  Throws:
    `javax.management.InvalidAttributeValueException`

### setFailureType

    public void setFailureType(String newValue)
                        throws javax.management.InvalidAttributeValueException

  Specifies the type of this Failure. Possible types are

  - FAILURE_REPORT_ADMIN - Report failure to trading partner
  - FAILURE_NOTIFIER - Notify trading partner

  Parameters:
    `newValue` - - Type of the failure
  Throws:
    `javax.management.InvalidAttributeValueException`

### getFailureType

    public String getFailureType()

  Retrieves the type of this Failure.

  Returns:
    return types are FAILURE_REPORT_ADMIN or FAILURE_ADMIN

### retrieveTradingPartner

    public TradingPartnerMBean retrieveTradingPartner()
                                               throws ManagementException

  Retrieves the TradingPartnerMBean associated for this Failure.

  Returns:
    - trading partner for failure messages. `null` is no trading partner is associated
  Throws:
    `ManagementException` - - If unable to find the the trading partner associated

### retrieveBinding

    public BindingMBean retrieveBinding()
                                 throws ManagementException

  Retrieves the BindingMBean associated of the trading partner used for sending messages.

  Returns:
    - binding mbean for failure messages. `null` is no binding is associated
  Throws:
    `ManagementException` - - If unable to find the the binding is associated

### updateAll

    public void updateAll(String tpName,
                          String bindingName)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Updates Failure Notifier

  Parameters:
    `tpName` - - Name of the trading partner
    `bindingName` - - Binding used for failure notifier
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD